Package Gnumed :: Package pycommon :: Module gmLoginInfo :: Class LoginInfo |
[frames] | no frames]

# Class LoginInfo

source code

a class to encapsulate Postgres login information to default database

Instance Methods
__init__(self, user=None, password=None, host=None, port=5432, database=None) | source code
GetInfo(self) | source code
GetInfoStr(self) | source code
GetPGDB_DSN(self) | source code
get_psycopg2_dsn(self) | source code
GetDBAPI_DSN(self) | source code
SetUser(self, user) | source code
GetUser(self) | source code
SetDatabase(self, dbname) | source code
GetDatabase(self) | source code
SetHost(self, host) | source code
GetHost(self) | source code
SetPort(self, port) | source code
GetPort(self) | source code
SetProfile(self, profile) | source code
GetProfile(self) | source code
Clear(self) clears all connection information regarding user, password etc. | source code

Properties
| port

Property Details

### port Get Method: _get_port(self) Set Method: _set_port(self, value)